// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.33.0
// 	protoc        v5.26.1
// source: internal/delivery/grpc/service/link_service.proto

package service

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CreateLinkRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Destination string `protobuf:"bytes,1,opt,name=destination,proto3" json:"destination,omitempty"`
}

func (x *CreateLinkRequest) Reset() {
	*x = CreateLinkRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_delivery_grpc_service_link_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateLinkRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateLinkRequest) ProtoMessage() {}

func (x *CreateLinkRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_delivery_grpc_service_link_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateLinkRequest.ProtoReflect.Descriptor instead.
func (*CreateLinkRequest) Descriptor() ([]byte, []int) {
	return file_internal_delivery_grpc_service_link_service_proto_rawDescGZIP(), []int{0}
}

func (x *CreateLinkRequest) GetDestination() string {
	if x != nil {
		return x.Destination
	}
	return ""
}

type EditLinkRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Short    string `protobuf:"bytes,1,opt,name=short,proto3" json:"short,omitempty"`
	NewShort string `protobuf:"bytes,2,opt,name=new_short,json=newShort,proto3" json:"new_short,omitempty"`
}

func (x *EditLinkRequest) Reset() {
	*x = EditLinkRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_delivery_grpc_service_link_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EditLinkRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EditLinkRequest) ProtoMessage() {}

func (x *EditLinkRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_delivery_grpc_service_link_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EditLinkRequest.ProtoReflect.Descriptor instead.
func (*EditLinkRequest) Descriptor() ([]byte, []int) {
	return file_internal_delivery_grpc_service_link_service_proto_rawDescGZIP(), []int{1}
}

func (x *EditLinkRequest) GetShort() string {
	if x != nil {
		return x.Short
	}
	return ""
}

func (x *EditLinkRequest) GetNewShort() string {
	if x != nil {
		return x.NewShort
	}
	return ""
}

type GetLinkStatisticRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Short string `protobuf:"bytes,1,opt,name=short,proto3" json:"short,omitempty"`
}

func (x *GetLinkStatisticRequest) Reset() {
	*x = GetLinkStatisticRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_delivery_grpc_service_link_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetLinkStatisticRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLinkStatisticRequest) ProtoMessage() {}

func (x *GetLinkStatisticRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_delivery_grpc_service_link_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLinkStatisticRequest.ProtoReflect.Descriptor instead.
func (*GetLinkStatisticRequest) Descriptor() ([]byte, []int) {
	return file_internal_delivery_grpc_service_link_service_proto_rawDescGZIP(), []int{2}
}

func (x *GetLinkStatisticRequest) GetShort() string {
	if x != nil {
		return x.Short
	}
	return ""
}

type StatisticsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TodayCount uint32 `protobuf:"varint,1,opt,name=today_count,json=todayCount,proto3" json:"today_count,omitempty"`
	WeekCount  uint32 `protobuf:"varint,2,opt,name=week_count,json=weekCount,proto3" json:"week_count,omitempty"`
	MonthCount uint32 `protobuf:"varint,3,opt,name=month_count,json=monthCount,proto3" json:"month_count,omitempty"`
	AllCount   uint32 `protobuf:"varint,4,opt,name=all_count,json=allCount,proto3" json:"all_count,omitempty"`
	Short      string `protobuf:"bytes,5,opt,name=short,proto3" json:"short,omitempty"`
}

func (x *StatisticsResponse) Reset() {
	*x = StatisticsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_delivery_grpc_service_link_service_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatisticsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatisticsResponse) ProtoMessage() {}

func (x *StatisticsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_delivery_grpc_service_link_service_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatisticsResponse.ProtoReflect.Descriptor instead.
func (*StatisticsResponse) Descriptor() ([]byte, []int) {
	return file_internal_delivery_grpc_service_link_service_proto_rawDescGZIP(), []int{3}
}

func (x *StatisticsResponse) GetTodayCount() uint32 {
	if x != nil {
		return x.TodayCount
	}
	return 0
}

func (x *StatisticsResponse) GetWeekCount() uint32 {
	if x != nil {
		return x.WeekCount
	}
	return 0
}

func (x *StatisticsResponse) GetMonthCount() uint32 {
	if x != nil {
		return x.MonthCount
	}
	return 0
}

func (x *StatisticsResponse) GetAllCount() uint32 {
	if x != nil {
		return x.AllCount
	}
	return 0
}

func (x *StatisticsResponse) GetShort() string {
	if x != nil {
		return x.Short
	}
	return ""
}

var File_internal_delivery_grpc_service_link_service_proto protoreflect.FileDescriptor

var file_internal_delivery_grpc_service_link_service_proto_rawDesc = []byte{
	0x0a, 0x31, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x64, 0x65, 0x6c, 0x69, 0x76,
	0x65, 0x72, 0x79, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x2f, 0x6c, 0x69, 0x6e, 0x6b, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x07, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x1a, 0x1b, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d,
	0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x35, 0x0a, 0x11, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x4c, 0x69, 0x6e, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x20,
	0x0a, 0x0b, 0x64, 0x65, 0x73, 0x74, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x74, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x22, 0x44, 0x0a, 0x0f, 0x45, 0x64, 0x69, 0x74, 0x4c, 0x69, 0x6e, 0x6b, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x68, 0x6f, 0x72, 0x74, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x73, 0x68, 0x6f, 0x72, 0x74, 0x12, 0x1b, 0x0a, 0x09, 0x6e, 0x65, 0x77,
	0x5f, 0x73, 0x68, 0x6f, 0x72, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6e, 0x65,
	0x77, 0x53, 0x68, 0x6f, 0x72, 0x74, 0x22, 0x2f, 0x0a, 0x17, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x6e,
	0x6b, 0x53, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x68, 0x6f, 0x72, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x73, 0x68, 0x6f, 0x72, 0x74, 0x22, 0xa8, 0x01, 0x0a, 0x12, 0x53, 0x74, 0x61, 0x74,
	0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1f,
	0x0a, 0x0b, 0x74, 0x6f, 0x64, 0x61, 0x79, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0d, 0x52, 0x0a, 0x74, 0x6f, 0x64, 0x61, 0x79, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12,
	0x1d, 0x0a, 0x0a, 0x77, 0x65, 0x65, 0x6b, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0d, 0x52, 0x09, 0x77, 0x65, 0x65, 0x6b, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x1f,
	0x0a, 0x0b, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x0d, 0x52, 0x0a, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12,
	0x1b, 0x0a, 0x09, 0x61, 0x6c, 0x6c, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0d, 0x52, 0x08, 0x61, 0x6c, 0x6c, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x14, 0x0a, 0x05,
	0x73, 0x68, 0x6f, 0x72, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x73, 0x68, 0x6f,
	0x72, 0x74, 0x32, 0xd1, 0x01, 0x0a, 0x04, 0x4c, 0x69, 0x6e, 0x6b, 0x12, 0x3e, 0x0a, 0x06, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x1a, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x4c, 0x69, 0x6e, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x00, 0x12, 0x3a, 0x0a, 0x04, 0x45,
	0x64, 0x69, 0x74, 0x12, 0x18, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x45, 0x64,
	0x69, 0x74, 0x4c, 0x69, 0x6e, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x00, 0x12, 0x4d, 0x0a, 0x0a, 0x53, 0x74, 0x61, 0x74, 0x69,
	0x73, 0x74, 0x69, 0x63, 0x73, 0x12, 0x20, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e,
	0x47, 0x65, 0x74, 0x4c, 0x69, 0x6e, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x22, 0x5a, 0x20, 0x2e, 0x2f, 0x69, 0x6e, 0x74, 0x65,
	0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x64, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x2f, 0x67, 0x72,
	0x70, 0x63, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_internal_delivery_grpc_service_link_service_proto_rawDescOnce sync.Once
	file_internal_delivery_grpc_service_link_service_proto_rawDescData = file_internal_delivery_grpc_service_link_service_proto_rawDesc
)

func file_internal_delivery_grpc_service_link_service_proto_rawDescGZIP() []byte {
	file_internal_delivery_grpc_service_link_service_proto_rawDescOnce.Do(func() {
		file_internal_delivery_grpc_service_link_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_internal_delivery_grpc_service_link_service_proto_rawDescData)
	})
	return file_internal_delivery_grpc_service_link_service_proto_rawDescData
}

var file_internal_delivery_grpc_service_link_service_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_internal_delivery_grpc_service_link_service_proto_goTypes = []interface{}{
	(*CreateLinkRequest)(nil),       // 0: service.CreateLinkRequest
	(*EditLinkRequest)(nil),         // 1: service.EditLinkRequest
	(*GetLinkStatisticRequest)(nil), // 2: service.GetLinkStatisticRequest
	(*StatisticsResponse)(nil),      // 3: service.StatisticsResponse
	(*emptypb.Empty)(nil),           // 4: google.protobuf.Empty
}
var file_internal_delivery_grpc_service_link_service_proto_depIdxs = []int32{
	0, // 0: service.Link.Create:input_type -> service.CreateLinkRequest
	1, // 1: service.Link.Edit:input_type -> service.EditLinkRequest
	2, // 2: service.Link.Statistics:input_type -> service.GetLinkStatisticRequest
	4, // 3: service.Link.Create:output_type -> google.protobuf.Empty
	4, // 4: service.Link.Edit:output_type -> google.protobuf.Empty
	3, // 5: service.Link.Statistics:output_type -> service.StatisticsResponse
	3, // [3:6] is the sub-list for method output_type
	0, // [0:3] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_internal_delivery_grpc_service_link_service_proto_init() }
func file_internal_delivery_grpc_service_link_service_proto_init() {
	if File_internal_delivery_grpc_service_link_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_internal_delivery_grpc_service_link_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateLinkRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_internal_delivery_grpc_service_link_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EditLinkRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_internal_delivery_grpc_service_link_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetLinkStatisticRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_internal_delivery_grpc_service_link_service_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatisticsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_internal_delivery_grpc_service_link_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_internal_delivery_grpc_service_link_service_proto_goTypes,
		DependencyIndexes: file_internal_delivery_grpc_service_link_service_proto_depIdxs,
		MessageInfos:      file_internal_delivery_grpc_service_link_service_proto_msgTypes,
	}.Build()
	File_internal_delivery_grpc_service_link_service_proto = out.File
	file_internal_delivery_grpc_service_link_service_proto_rawDesc = nil
	file_internal_delivery_grpc_service_link_service_proto_goTypes = nil
	file_internal_delivery_grpc_service_link_service_proto_depIdxs = nil
}
